      SUBROUTINE GET_IT(SCREEN,ICOLUMN,ILINE,ILENGTH,STRING)
      character*(*) string              ! Capture into this
      integer*2 screen(80,25)           ! This is the tube
      integer*2 ic
c
      do 20 i=1,ilength
      ic=screen(icolumn+i-1,iline)
c         iatt=ishft(ic,-8)             ! This is the video attribute
   20 string(i:i)=char(iand(ic,255))
c
      return
      end
